settingsLogin | Registersettings

Authorities tab in processing module produces error

0 votes

When I click on the authorities tab in the processing module, it gives me an error screen.


asked Apr 4, 2017 by anonymous

1 Answer

0 votes

We are looking into the issue.

answered Apr 6, 2017 by Peter_Chan (2,650 points)

I have just begun testing out ePADD at my current position and can say that I am getting the following Alert when I click on the authorities tab in the processing module:

Sorry, there was an error, no JSON was returned! Please retry and if the error persists, report the problem to us.

I imported an email archive that I had processed in the appraisal module. Would it be helpful if I sent you the error log?

In the log you submitted before, it contains
"fast_index' does not exist"

Please make sure the epadd-settings files you downloaded form Github are properly copied to you home directory.

I am not the same user who attached an error log on April 4. I have however just verified that I have a fast-index folder in my epadd-settings folder. I cannot figure out how to attach a file to this comment so I will email you my log directly to pchan3@stanford.edu as the epadd application suggests.

Please check all files exit. We have encountered cases where the copy is incomplete: e.g. folder copied but not files in side folders.

I just verified that the blobs, indexes, lexicons, and sessions folders inside ePADD archive of Alston Cobourn folder all contain files. I believe that is what you meant.

The files you checked re under epadd-apprasial folder.
Could you check all files under the epadd-settings folder are the same as what you downloaded from Github?

I deleted the epadd archive folder in processing and decided to start fresh.
Now when I export the archive from the appraisal module and zip the resulting export as the program says, then I get this error when I try to import it into the processing module: Error! Code 2, Message: The specified folder does not appear to contain an ePADD archive.

Now if I export the archive from the appraisal module and do not zip it, I get an error message saying that the source folder does not exist (even though it does) when I try to import into processing, and it subsequently deletes the source folder entirely!

If I try to import the epadd-export.mbox file back into epadd via the appraisal module, I get an error message that says null.

my epadd-settings folder contains all of the same files with these exceptions: it also includes epadd txt, epadd-launcher.err (txt), and epadd-launcher AND a few of the file names for files in the fast_index are different.

I did realize just now while back in github that I am using the 3.0 version and that the 3.0.1 downloads say "A critical issue with the Authorities interface within Processing has now been fixed." Could this be my issue?

Also, will I need to do a completely new install or is there an upgrade process? I didn't see anything on github that mentioned an upgrade process...

  1. You don't need to zip your files if you are transferring the files inside one computer, The zipping advise is designed for donors transferring their files to institutions.
  2. You just use the 3.0.1 instead of the 3.0 file.
  3. Please email me if you still have problem, we can arrange a video conference to solve the issues.
ePADD is a software package developed by Stanford University's Special Collections & University Archives that supports archival processes around the appraisal, ingest, processing, discovery, and delivery of email archives.
...